﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;


namespace BasigChamran.Forms
{
    public partial class AddFaaliat : Form
    {
        public AddFaaliat()
        {
            InitializeComponent();
        }



        int ID11;
        public int ID12;
        public int cou = 1;
        public int getid()
        {
			//ساخت استریم ریدر و آدرس دهی به آن
            StreamReader sr = new StreamReader(Application.StartupPath + "\\Faaliat.txt");
			//ریختن اطلاعات به رشته all
            string all = sr.ReadToEnd();
			//یاد آوری: همیشه بعد از خواندن اطلاعات استریم ریدر را ببندید
            sr.Close();
			//جداسازی اطلاعات به وسیله علامت مثبت
            string[] records = all.Split('+');
            return records.Length - 1;

        }




        private void stiButton1_Click(object sender, EventArgs e)
        {
            if (TextBox1.Text == "")
            {
                MessageBox.Show("لطفا فیلد نام فعالیت را پر کنید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Information);
                TextBox1.Select();
                return;
            }
            if (TextBox2.Text == "")
            {
                MessageBox.Show("لطفا فیلد نام مناسبت را پر کنید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Information);
                TextBox2.Select();
                return;
            }
            if (TextBox3.Text == "")
            {
                MessageBox.Show("لطفا فیلد مسئول برگزاری را پر کنید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Information);
                TextBox3.Select();
                return;
            }
            if (TextBox4.Text == "")
            {
                MessageBox.Show("لطفا فیلد همراهی معاونان را پر کنید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Information);
                TextBox4.Select();
                return;
            }
            if (TextBox5.Text == "")
            {
                MessageBox.Show("لطفا فیلد شرح فعالیت را پر کنید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Information);
                TextBox5.Select();
                return;
            }



            if (cou == 1)
            {
                ID11 = getid();
				//آدرس دهی به استریم رایتر
                StreamWriter sw = new StreamWriter(Application.StartupPath + "\\Faaliat.txt", true);
				//نوشتن اطلاعات در استریم رایتر
                sw.Write(ID11 + ";" + TextBox1.Text + ";" + TextBox2.Text + ";" + TextBox3.Text + ";" + TextBox4.Text + ";" + TextBox5.Text + ";" + "+");
                sw.Close();
                MessageBox.Show("کاربر گرامی فعالیت مورد نظر با موفقیت ثبت شد", "ثبت فعالیت", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);


                return;
            }

            if (cou == 0)
            {

                int counter = 0;
                string temp = "";
				//خواندن اطلاعات و آدرس دهی
                StreamReader sr = new StreamReader(Application.StartupPath + "\\Faaliat.txt", true);
                string all = sr.ReadToEnd();
                sr.Close();
                string[] records = all.Split('+');
                string index = ID12.ToString();
				//آدرس دهی به استریم رایتر برای نوشتن اطلاعات
                StreamWriter sw = new StreamWriter(Application.StartupPath + "\\Faaliat.txt", false);

				//این حلقه در صورتی که اینت آی کوچک تر از تعداد رکورد های درج شده در بانک باشد مورد استفاده قرار میگیرد
                for (int i = 0; i < records.Length - 1; i++)
                {
                    string[] cells = records[i].Split(';');
                    if (cells[0] != index)
                    {
						//ریختن اطلاعات در داخل تمپ
                        temp += counter

                                + ";" + cells[1]
                                + ";" + cells[2]
                                + ";" + cells[3]
                                + ";" + cells[4]
                                + ";" + cells[5]
                                + "+";

                        counter++;
                    }
                    else
                    {
                        temp += index
                                + ";" + TextBox1.Text
                                + ";" + TextBox2.Text
                                + ";" + TextBox3.Text
                                + ";" + TextBox4.Text
                                + ";" + TextBox5.Text
                                + "+";
                        counter++;
                    }
                }
				//نوشتن اطلاعات به وسیله استریم رایتر و منبع تمپ
                sw.Write("");
                sw.Write(temp);
                sw.Close();
                Close();
            }
        }

        private void AddFaaliat_Load(object sender, EventArgs e)
        {
            Height = 0;
            Width = 0;
            timer1.Start();


			//ریختن آدرس بانک اطلاعاتی در رشته فایل نیم
            string filename = Application.StartupPath + "//Faaliat.txt";
			//در صورتی که بانک ساخته نشده باشد ایجاد میشود
            if (!File.Exists(filename))
            {
                File.Create(filename);
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if (Height == 0) { 
            TextBox1.Hide();
            TextBox2.Hide();
            TextBox3.Hide();
            TextBox4.Hide();
            TextBox5.Hide();
            stiButton1.Hide();
            labels1.Hide();
            labels2.Hide();
            labels3.Hide();
            labels4.Hide();
            labels5.Hide();
            }


            if (this.Height < 551 & this.Width >= 550)
            {
                this.Height = Height + 20;
            }


            if (this.Width < 551)
            {
                this.Width = this.Width + 20;


            }
           


          



            if (this.Height < 549)
            {
                TextBox1.Show();
                TextBox2.Show();
                TextBox3.Show();
                TextBox4.Show();
                TextBox5.Show();
                stiButton1.Show();
                labels1.Show();
                labels2.Show();
                labels3.Show();
                labels4.Show();
                labels5.Show();

            }


            


           



        }
    }
}
